<template>
  <div class="login">
    <div class="my-tabs">
      <h3 class="md-title">
        <img alt="Vue logo" style="height:30px" src="@/assets/logo.png">
        MG Tasker
      </h3>
      <md-tabs class="md-transparent" md-alignment="centered">
        <md-tab id="tab-login" md-label="Login">
          <LoginComponent/>
        </md-tab>
        <md-tab id="tab-register" md-label="Register">
          <RegisterComponent/>
        </md-tab>
      </md-tabs>
    </div>
    <!-- <router-link to="/regist">Register</router-link> -->
  </div>
</template>

<script>
// @ is an alias to /src
// import HelloWorld from "@/components/HelloWorld.vue";
import LoginComponent from "@/components/LoginComponent.vue";
import RegisterComponent from "@/components/RegisterComponent.vue";
export default {
  name: "login",
  components: {
    LoginComponent,
    RegisterComponent
  }
};
</script>

<style>
.login {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  height: 100%;
  width: 100%;
}
.my-tabs {
  width: 320px;
}
</style>
